post
https://{youraccountname}.api-us1.com/api/3/dealCustomFieldData
Give one deal its first value in a deal custom field. To change a value the deal already holds, update that value by its id with PUT /dealCustomFieldData/{id}.
To create a custom deal field value, the following permissions are required.
- Deal permission: the user should have permission to manage deals.
- Pipeline-specific permission: the user should have permission to manage the pipeline that the deal belongs to. If the user does not have the permission to manage the pipeline, limited deal data are returned with only
id,title, andisDisabledset to1. - When creating a field value for a multivalued field (checkbox, multiselect), values must be strings in an array, e.g.
["Option 1", "Option 2", "Option 4"], whether one value or multiple are being set.
Regarding date and datetimeDATE: Allowed date formats are: YYYY-MM-DD, YYYY/MM/DD, or MM/DD/YYYY
DATETIME: Allowed datetime format is ISO only
{
"dealCustomFieldDatum": {
"dealId": "2",
"customFieldId": "1",
"fieldValue": "test title"
}
}{
"dealCustomFieldDatum": {
"dealId": "2",
"customFieldId": "2",
"fieldValue": "option 1"
}
}{
"dealCustomFieldDatum": {
"dealId": "2",
"customFieldId": "3",
"fieldValue": [
"option 1",
"option 3",
"option 4"
]
}
}{
"dealCustomFieldDatum": {
"dealId": "1",
"customFieldId": "4",
"fieldValue": 9999,
"fieldCurrency": "cad"
}
}{
"dealCustomFieldDatum": {
"dealId": "1",
"customFieldId": "5",
"fieldValue": "100.99"
}
}// Allowed date formats are: YYYY-MM-DD, YYYY/MM/DD, or MM/DD/YYYY
{
"dealCustomFieldDatum": {
"dealId": "1",
"customFieldId": "6",
"fieldValue": "2018-12-31"
}
}{
"dealCustomFieldDatum": {
"dealId": "1",
"customFieldId": "6",
"fieldValue": "2020-05-19T02:45:00-05:00"
}
}{
"dealCustomFieldDatum": {
"dealId": "2",
"customFieldId": "3",
"fieldValue": [
"option 1"
]
}
}